Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreAuthorization

Represents an OpenIddict authorization.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreAuthorization<System.String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>
OpenIddictEntityFrameworkCoreAuthorization

##### Inherited Members

OpenIddictEntityFrameworkCoreAuthorization<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>.Application
OpenIddictEntityFrameworkCoreAuthorization<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>.ConcurrencyToken
OpenIddictEntityFrameworkCoreAuthorization<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>.CreationDate
OpenIddictEntityFrameworkCoreAuthorization<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>.Id
OpenIddictEntityFrameworkCoreAuthorization<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>.Properties
OpenIddictEntityFrameworkCoreAuthorization<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>.Scopes
OpenIddictEntityFrameworkCoreAuthorization<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>.Status
OpenIddictEntityFrameworkCoreAuthorization<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>.Subject
OpenIddictEntityFrameworkCoreAuthorization<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>.Tokens
OpenIddictEntityFrameworkCoreAuthorization<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>.Type
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.EntityFrameworkCore.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreAuthorization : OpenIddictEntityFrameworkCoreAuthorization<string, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreToken>

### Constructors

#### OpenIddictEntityFrameworkCoreAuthorization()

##### Declaration

    public OpenIddictEntityFrameworkCoreAuthorization()